package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbqMapper {
    int insert(Dbq record);

    int insertSelective(Dbq record);

    int updateByPrimaryKeySelective(Dbq record);

    int updateByPrimaryKey(Dbq record);

    int deleteByPrimaryKey(Dbq record);

    int deleteByIds(Collection<Object> collection);

    Dbq selectByPrimaryKey(Dbq record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbq> dyncRead(Map<String,Object> dyncMap);

    Dbq selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbq selectByTmpref(@Param("tmpref")String tmpref);
}
